Subject: Re: [PATCH v5 net 0/2] tcp/rds: Fix use-after-free around kernel TCP reqsk.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 12 Mar 2024 19:02:35 -0700

On Tue, 12 Mar 2024 08:59:42 -0700 Jakub Kicinski wrote:
> On Tue, 12 Mar 2024 15:10:32 +0000 [email-masked]
> wrote:
> >   - [v5,net,1/2] tcp: Fix NEW_SYN_RECV handling in inet_twsk_purge()
> >     https://git.kernel.org/netdev/net/c/a7b7079bc292
> >   - [v5,net,2/2] rds: tcp: Fix use-after-free of net in reqsk_timer_handler().
> >     https://git.kernel.org/netdev/net/c/a28895fc04fa  
> 
> I think I need to discard these, otherwise I won't be able to fast
> forward after Linus pulls :( I re-apply later.

Back in it goes, hopefully we didn't cause too much strife with 
the reset.